问题描述

编译项目的时候,提示以下错误:

Error:org.gradle.process.internal.ExecException: A problem occurred starting process 'command 'C:\Users...\AppData\Local\Android\sdk\ndk-bundle\toolchains\aarch64-linux-android-4.9\prebuilt\windows-x86_64\bin\aarch64-linux-android-strip''

Error:net.rubygrapefruit.platform.NativeException: Could not start 'C:\Users...\AppData\Local\Android\sdk\ndk-bundle\toolchains\aarch64-linux-android-4.9\prebuilt\windows-x86_64\bin\aarch64-linux-android-strip'

问题分析

貌似是ndk的关系

解决办法

1)升级ndk

2) 在build.gradle里添加

packagingOptions{
    doNotStrip '*/mips/*.so'
    doNotStrip '*/mips64/*.so'
}